.modal {
    display: none;
    background-color: RGBA(33, 33, 33, 0.31);
    position: fixed;
    z-index: 10;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;

    .wrapper {
        padding: 60px;
        border-radius: 10px;
        width: 600px;
        position: absolute;
        top: 50%;
        left: 50%;
        margin-right: -50%;
        transform: translate(-50%, -50%);
        height: auto;
        background: #fff;
        max-width: 90%;
        /*max-width: 34vw;*/

        .modal-block {
            display: flex;
            flex-direction: column;
            row-gap: 20px;

            .modal-block__button {
                padding: 10px 0;
                background-color: #D05D00;
                color: white;
                min-height: 56px;
                width: 221px;
                font-size: 22px;
                margin: 40px auto 0;
            }

            .modal-block__header {
                font-size: 40px;
            }

            .modal-block-text {
                font-size: 24px;
                margin-top: 20px;

                a {
                    color: #D05D00;
                }

                a:hover {
                    text-decoration: underline;
                }
            }
        }
    }
}

/*.modal::before {*/
/*    content: '';*/
/*    width: 100%;*/
/*    height: 100%;*/
/*    background-color: gray !important;*/
/*    opacity: .5 !important;*/
/*}*/

div:has(.g-recaptcha-bubble-arrow) {
    /* position: fixed !important;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%); */
    zoom: 1.1;
}

.header {
    position: relative;
}

@media (max-width: 500px) {
    .modal .wrapper {
        padding: 35px;
    }

    .modal {
        & .wrapper {
            & .modal-block {
                .modal-block__header {
                    font-size: 35px;
                }
                .modal-block-text {
                    font-size: 21px;
                    margin-top: 0px;
                }
            }
        }
    }

}